function prevPoint = getInteriorPoint(model,alpha,params)
% Define reference boundaries and cap
lbRef  = model.lb(1:model.numRxns);
ubRef  = model.ub(1:model.numRxns);
numTol = 1e-8;

% Cap reaction bounds by 100*alpha%
model.ub(1:model.numRxns) = ubRef.*(alpha*(lbRef==0)+(lbRef~=0));
model.lb(1:model.numRxns) = lbRef.*(alpha*(ubRef==0)+(lbRef~=0));

% Use random objective proportional to the reaction fluxes
model.obj(1:model.numRxns) = (2-randi(3,model.numRxns,1))./(ubRef-lbRef);
try
    sol = gurobi(model,params);
    if strcmp(sol.status,'OPTIMAL')
        sol.x(abs(sol.x)<numTol) = 0;
        prevPoint = sol.x(1:model.numRxns);
    else
        prevPoint = model.warmUp(:,2*randi(model.numRxns));
    end
catch
    % Use random warmpup point
    prevPoint = model.warmUp(:,2*randi(model.numRxns));
end