function prevPoint = getInteriorPoint_GLPK(model,alpha,params)
% Define reference boundaries and cap
lbRef  = model.lb(1:model.numRxns);
ubRef  = model.ub(1:model.numRxns);
numTol = 1e-6;

% Cap reaction bounds by 100*alpha%
model.ub(1:model.numRxns) = ubRef.*(alpha*(lbRef==0)+(lbRef~=0));
model.lb(1:model.numRxns) = lbRef.*(alpha*(ubRef==0)+(lbRef~=0));

% Use random objective proportional to the reaction fluxes
model.obj(1:model.numRxns) = (2-randi(3,model.numRxns,1))./(ubRef-lbRef);
model.sense = -1; % maximization
[xopt,~,errnum] = glpk(model.obj,model.A,model.rhs,model.lb,model.ub,model.ctype,model.vartype,model.sense,params);
if errnum==0
    xopt(abs(xopt)<numTol) = 0;
    prevPoint = xopt(1:model.numRxns);
else
    prevPoint = model.warmUp(:,2*randi(model.numRxns));
end