function testSamplesFeseability(samplePoints,model)
% Check feasibility of flux samples
% Inputs:  flux samples, model (MILP loopless)
% Outputs: -
%%%%%%%%%%%%%%%%%%%%%% Pedro Saa UQ 2015 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
numSamples = size(samplePoints,2);
%% Topological check
activeLaws        = findActiveLoopLaws(model,0);
model.Nint        = model.Nint(activeLaws,:);
nonZeroElements   = sum((model.Nint~=0),2);
topologicalMatrix = sign(model.Nint);
counter = 0;
t0 = cputime;
for ix = 1:numSamples
    nextPoint    = samplePoints(:,ix)';
    dirTemp      = sign(nextPoint(model.internal));       
    checkPattern = dirTemp(ones(1,size(model.Nint,1)),:);    
    if all(sum(topologicalMatrix.*checkPattern,2)~=nonZeroElements) && all(sum(topologicalMatrix.*checkPattern,2)~=-nonZeroElements)
        counter = counter+1;
    end
end
timeElapsed = (cputime-t0)/60/numSamples
disp(['Number of good configs ',num2str(counter),'. Topological']);